gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: bootstrap-walletb


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: bootstrap-walletbuilder
Date: Fri, 11 Oct 2019 23:43:17 +0200

This is an automated email from the git hooks/post-receive script.

ng0 pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 03a6f1f  bootstrap-walletbuilder
03a6f1f is described below

commit 03a6f1f4ad6006f220faf76e391eb3d26b0425e1
Author: ng0 <address@hidden>
AuthorDate: Fri Oct 11 21:42:57 2019 +0000

    bootstrap-walletbuilder
---
 bootstrap-walletbuilder | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/bootstrap-walletbuilder b/bootstrap-walletbuilder
new file mode 100755
index 0000000..edb093d
--- /dev/null
+++ b/bootstrap-walletbuilder
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="wallet-core"
+
+cd $HOME
+
+for component in $REPOS; do
+  if ! test -d $HOME/$component; then
+    git clone git://localhost/$component.git
+  fi
+done
+
+for component in $REPOS; do
+  echo "Checking out $component to $BRANCH"
+  git -C $HOME/$component checkout $BRANCH
+done
+
+if test ! -d worker ; then
+  buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 
wallet-worker wallet-pass
+fi

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]